LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSchemaSupplier Interface Referencepublished

provides access to configuration component schemas. More...

`import"XSchemaSupplier.idl";`

Inheritance diagram for XSchemaSupplier:

## Public Member Functions
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to configuration component schemas.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getComponentSchema()

XSchema getComponentSchema | ( | [in] string | aComponent | ) |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns the schema information (component + templates) for a particular component.

Parameters

  aComponent | component whose schema will be accessed

Returns
  an object allowing access to the various parts of the schema, `NULL` if the component doesn't exist.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid.
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XSchemaSupplier.idl